## ros-pluginlib 1.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pluginlib)

find_package(catkin REQUIRED COMPONENTS class_loader rosconsole roslib cmake_modules)
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(TinyXML REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS class_loader rosconsole roslib
  DEPENDS Boost TinyXML
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS})

add_executable(plugin_tool src/plugin_tool.cpp)
target_link_libraries(plugin_tool ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES})

install(TARGETS plugin_tool
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/pluginlib/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES share/pluginlib/typed_class_loader_template.cpp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS scripts/plugin_macro_update
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  add_library(test_plugins EXCLUDE_FROM_ALL SHARED test/test_plugins.cpp)

  catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}_utest)
    target_link_libraries(${PROJECT_NAME}_utest ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    add_dependencies(${PROJECT_NAME}_utest test_plugins)
  endif()
endif()

=== debian/changelog ===
ros-pluginlib (1.10.1-2) unstable; urgency=medium

  * Fix compilation on non x86_64 arch (Closes: #810662)
  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:09:48 +0100

ros-pluginlib (1.10.1-1) unstable; urgency=medium

  * Initial release (Closes: #805335)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 23:58:53 +0000

=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/pluginlib
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-pluginlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-pluginlib.git

Package: pluginlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, libboost-dev, libboost-filesystem-dev, libboost-system-dev, libtinyxml-dev, libclass-loader-dev, librosconsole-dev, libroslib-dev, ros-cmake-modules, libboost-filesystem-dev, libboost-system-dev
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --builddirectory=build

# test suite is broken atm.
override_dh_auto_test:

override_dh_auto_configure:
	dh_auto_configure
	echo 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"$${CMAKE_LIBRARY_ARCHITECTURE}\\")' >> build/catkin_generated/installspace/pluginlibConfig.cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-pluginlib 1.10.3

=== debian/changelog ===
ros-pluginlib (1.10.3-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:46 +0000

ros-pluginlib (1.10.3-1) unstable; urgency=medium

  * Make rules reproducible.
    Thanks to Daniel Shahaf (Closes: #823174)
  * Imported Upstream version 1.10.3

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:12:21 +0200

ros-pluginlib (1.10.1-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 07:27:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://wiki.ros.org/pluginlib

## ros-pluginlib 1.10.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,4 +40,16 @@
     target_link_libraries(${PROJECT_NAME}_utest ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
     add_dependencies(${PROJECT_NAME}_utest test_plugins)
   endif()
+
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+  if(COMPILER_SUPPORTS_CXX11)
+    catkin_add_gtest(${PROJECT_NAME}_unique_ptr_test test/unique_ptr_test.cpp)
+    if(TARGET ${PROJECT_NAME}_unique_ptr_test)
+      target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+      set_target_properties(${PROJECT_NAME}_unique_ptr_test PROPERTIES COMPILE_FLAGS -std=c++11 LINK_FLAGS -std=c++11)
+      add_dependencies(${PROJECT_NAME}_unique_ptr_test test_plugins)
+    endif()
+  endif()
+
 endif()

=== debian/changelog ===
ros-pluginlib (1.10.4-2build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:23:37 +0000

ros-pluginlib (1.10.4-2build2) zesty; urgency=medium

  * Rebuild against new libpoco*46.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Nov 2016 09:39:21 +0100

ros-pluginlib (1.10.4-2build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:44:08 +0000

ros-pluginlib (1.10.4-2) unstable; urgency=medium

  * add versioned dependency on libclass-loader-dev for UniquePtr

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Sep 2016 14:19:23 +0200

ros-pluginlib (1.10.4-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.10.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 10:15:56 +0200

=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev (>=0.3.5-1), librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://wiki.ros.org/pluginlib
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-pluginlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-pluginlib.git

Package: pluginlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, libboost-dev, libboost-filesystem-dev, libboost-system-dev, libtinyxml-dev, libclass-loader-dev, librosconsole-dev, libroslib-dev, ros-cmake-modules, libboost-filesystem-dev, libboost-system-dev
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	echo 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"$${CMAKE_LIBRARY_ARCHITECTURE}\\")' >> build/catkin_generated/installspace/pluginlibConfig.cmake
+	printf 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"%s\\")\n' '$${CMAKE_LIBRARY_ARCHITECTURE}' >> build/catkin_generated/installspace/pluginlibConfig.cmake
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pluginlib-$1\.tar\.gz/ \
  https://github.com/ros/pluginlib/releases .*/v?(\d\S*)\.tar\.gz

## ros-pluginlib 1.12.1

=== pluginlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pluginlib)

find_package(catkin REQUIRED COMPONENTS class_loader rosconsole roslib cmake_modules)
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(TinyXML2 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS class_loader rosconsole roslib
  DEPENDS Boost TinyXML2
)

if(CATKIN_ENABLE_TESTING)
  include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS})

  add_library(test_plugins EXCLUDE_FROM_ALL SHARED test/test_plugins.cpp)

  catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}_utest)
    target_link_libraries(${PROJECT_NAME}_utest ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    add_dependencies(${PROJECT_NAME}_utest test_plugins)
  endif()

  include(CheckCXXCompilerFlag)
  check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
  if(COMPILER_SUPPORTS_CXX11)
    catkin_add_gtest(${PROJECT_NAME}_unique_ptr_test test/unique_ptr_test.cpp)
    if(TARGET ${PROJECT_NAME}_unique_ptr_test)
      target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
      set_target_properties(${PROJECT_NAME}_unique_ptr_test PROPERTIES COMPILE_FLAGS -std=c++11 LINK_FLAGS -std=c++11)
      add_dependencies(${PROJECT_NAME}_unique_ptr_test test_plugins)
    endif()
  endif()

endif()

install(DIRECTORY include/pluginlib/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(PROGRAMS scripts/pluginlib_headers_migration.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-pluginlib (1.12.1-3) unstable; urgency=medium

  * Switch to Python 3
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:30:43 +0200

ros-pluginlib (1.12.1-2) unstable; urgency=medium

  * Simplify installation (needs new catkin)
  * Bump policy version (no changes)
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:58:00 +0200

ros-pluginlib (1.12.1-1) unstable; urgency=medium

  * Fix build-depends-on-1-revision
  * New upstream version 1.10.5
  * Update policy and debhelper versions
  * Update watch file
  * Remove old versioned dependency
  * Limit watch to ROS1 versions
  * New upstream version 1.11.2
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.12.1
  * Update to new upstream version
  * Bump policy and debhelper versions
  * Rebase patches
  * Add sourcedirectory to dh

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 22:29:56 +0200

=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin (>= 0.7.14-5), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml2-dev, librosconsole-dev, libroscpp-core-dev
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pluginlib
Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib

Package: pluginlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, libboost-dev, libboost-filesystem-dev, libboost-system-dev, libtinyxml2-dev, libclass-loader-dev, librosconsole-dev, libroslib-dev, ros-cmake-modules, libboost-filesystem-dev, libboost-system-dev
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --builddirectory=build --sourcedirectory=pluginlib

# test suite is broken atm.
override_dh_auto_test:

override_dh_auto_configure:
	dh_auto_configure
	printf 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"%s\\")\n' '$${CMAKE_LIBRARY_ARCHITECTURE}' >> build/catkin_generated/installspace/pluginlibConfig.cmake

## ros-pluginlib 1.13.0

=== pluginlib/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(pluginlib)
 
 find_package(catkin REQUIRED COMPONENTS class_loader rosconsole roslib cmake_modules)
-find_package(Boost REQUIRED COMPONENTS filesystem system)
+find_package(Boost REQUIRED COMPONENTS filesystem)
 find_package(TinyXML2 REQUIRED)
 
 catkin_package(
@@ -15,6 +15,7 @@
   include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS})
 
   add_library(test_plugins EXCLUDE_FROM_ALL SHARED test/test_plugins.cpp)
+  target_link_libraries(test_plugins ${class_loader_LIBRARIES})
 
   catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
   if(TARGET ${PROJECT_NAME}_utest)

=== debian/changelog ===
ros-pluginlib (1.13.0-3) unstable; urgency=medium

  * Change pluginpath to lib/<triblet>/ros
  * drop gitlab-ci
  * Set Multi-Arch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Dec 2020 12:11:49 +0100

ros-pluginlib (1.13.0-2) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 12:15:08 +0100

ros-pluginlib (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * rebase patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 22:01:55 +0200

=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), catkin, libboost-filesystem-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml2-dev, librosconsole-dev, libroscpp-core-dev
Standards-Version: 4.5.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pluginlib
Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib

Package: pluginlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, libboost-dev, libboost-filesystem-dev, libtinyxml2-dev, libclass-loader-dev, librosconsole-dev, libroslib-dev, ros-cmake-modules
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build --sourcedirectory=pluginlib

# test suite is broken atm.
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-pluginlib-$1.tar.gz%" \
    https://github.com/ros/pluginlib/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz

## ros-pluginlib 5.2.0

=== debian/changelog ===
ros-pluginlib (5.2.0-2) unstable; urgency=medium

  * Use ${LIB} in dlopen path and make package arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 20:16:54 +0200

ros-pluginlib (5.2.0-1) unstable; urgency=medium

  * d/watch: allow latest version again
  * New upstream version 5.2.0
  * Update d/copyright
  * Rework patches
  * Switch to dh-ros and update dependencies
  * Depend on new class-loader

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 15:49:24 +0200

=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 ament-cmake-googletest <!nocheck>,
 dh-ros,
 libament-index-cpp-dev,
 libboost-dev,
 libclass-loader-dev (>> 2.3.0),
 libroslib-dev,
 libtinyxml2-dev,
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pluginlib
Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib

Package: pluginlib-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ament-cmake,
 libament-index-cpp-dev,
 libboost-dev,
 libclass-loader-dev (>> 2.3.0),
 libroslib-dev,
 libtinyxml2-dev,
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.

## ros-pluginlib 5.2.1

=== pluginlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pluginlib)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(class_loader REQUIRED)
find_package(rcutils REQUIRED)
find_package(rcpputils REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(TinyXML2 REQUIRED)  # provided by tinyxml2 upstream, or tinyxml2_vendor

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} INTERFACE
  ament_index_cpp::ament_index_cpp
  class_loader::class_loader
  rcutils::rcutils
  rcpputils::rcpputils
  tinyxml2::tinyxml2)

ament_export_dependencies(ament_index_cpp class_loader rcutils rcpputils tinyxml2_vendor TinyXML2)

ament_export_targets(export_${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)

  include_directories(include test/include)

  add_library(test_plugins SHARED ./test/test_plugins.cpp)
  target_compile_definitions(test_plugins PRIVATE "TEST_PLUGINLIB_FIXTURE_BUILDING_LIBRARY")
  target_link_libraries(test_plugins ${PROJECT_NAME})

  include("cmake/pluginlib_enable_plugin_testing.cmake")
  pluginlib_enable_plugin_testing(
    CMAKE_TARGET_VAR mock_install_target
    AMENT_PREFIX_PATH_VAR mock_install_path
    PACKAGE_NAME "test_pluginlib"
    PACKAGE_XML "test/test_package.xml"
    PLUGIN_CATEGORY "test_pluginlib"
    PLUGIN_DESCRIPTIONS "test/test_plugins.xml"
    PLUGIN_LIBRARIES test_plugins
  )

  ament_add_gtest(${PROJECT_NAME}_unique_ptr_test
    test/unique_ptr_test.cpp
    APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:test_plugins>"
    APPEND_ENV AMENT_PREFIX_PATH=${mock_install_path}
  )
  if(TARGET ${PROJECT_NAME}_unique_ptr_test)
    target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${PROJECT_NAME})
    add_dependencies(${PROJECT_NAME}_unique_ptr_test "${mock_install_target}")
  endif()

  ament_add_gtest(${PROJECT_NAME}_utest
    test/utest.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${mock_install_path}
  )
  if(TARGET ${PROJECT_NAME}_utest)
    # Used, but not linked to test ${PROJECT_NAME}'s exports:
    #   rcutils::rcutils
    target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
    add_dependencies(${PROJECT_NAME}_utest "${mock_install_target}")
  endif()

endif()

ament_package(
  CONFIG_EXTRAS "pluginlib-extras.cmake"
)

=== debian/changelog ===
ros-pluginlib (5.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add /usr/lib/<triplet> as a fallback path
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 10 Jan 2023 09:52:19 +0100

ros-pluginlib (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2022 08:57:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/pluginlib

## ros-pluginlib 5.3.0

=== debian/changelog ===
ros-pluginlib (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Make it arch any as it depends on boost

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 21:55:46 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: pluginlib-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## ros-pluginlib 5.4.1

=== debian/changelog ===
ros-pluginlib (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2024 11:08:54 +0100

ros-pluginlib (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 11:31:28 +0100

## ros-pluginlib 5.5.0

=== pluginlib/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 cmake_minimum_required(VERSION 3.5)
 project(pluginlib)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
-if(NOT WIN32)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  add_compile_options(-Wall -Wextra -Wpedantic)
 endif()
 
 find_package(ament_cmake REQUIRED)

=== debian/changelog ===
ros-pluginlib (5.5.0-2) unstable; urgency=medium

  * Rediff patches to fix FTBFS

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:45:35 +0200

ros-pluginlib (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/pluginlib

## ros-pluginlib 5.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pluginlib)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(class_loader REQUIRED)
find_package(rcutils REQUIRED)
find_package(rcpputils REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(TinyXML2 REQUIRED)  # provided by tinyxml2 upstream, or tinyxml2_vendor

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} INTERFACE
  ament_index_cpp::ament_index_cpp
  class_loader::class_loader
  rcutils::rcutils
  rcpputils::rcpputils
  tinyxml2::tinyxml2)

ament_export_dependencies(ament_index_cpp class_loader rcutils rcpputils tinyxml2_vendor TinyXML2)

ament_export_targets(export_${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  add_library(test_plugins SHARED ./test/test_plugins.cpp)
  target_compile_definitions(test_plugins PRIVATE "TEST_PLUGINLIB_FIXTURE_BUILDING_LIBRARY")
  target_include_directories(test_plugins PRIVATE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
  target_link_libraries(test_plugins ${PROJECT_NAME})

  include("cmake/pluginlib_enable_plugin_testing.cmake")
  pluginlib_enable_plugin_testing(
    CMAKE_TARGET_VAR mock_install_target
    AMENT_PREFIX_PATH_VAR mock_install_path
    PACKAGE_NAME "test_pluginlib"
    PACKAGE_XML "test/test_package.xml"
    PLUGIN_CATEGORY "test_pluginlib"
    PLUGIN_DESCRIPTIONS "test/test_plugins.xml"
    PLUGIN_LIBRARIES test_plugins
  )

  ament_add_gtest(${PROJECT_NAME}_unique_ptr_test
    test/unique_ptr_test.cpp
    APPEND_LIBRARY_DIRS "$<TARGET_FILE_DIR:test_plugins>"
    APPEND_ENV AMENT_PREFIX_PATH=${mock_install_path}
  )
  if(TARGET ${PROJECT_NAME}_unique_ptr_test)
    target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${PROJECT_NAME})
    target_include_directories(${PROJECT_NAME}_unique_ptr_test PRIVATE
      "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
    add_dependencies(${PROJECT_NAME}_unique_ptr_test "${mock_install_target}")
  endif()

  ament_add_gtest(${PROJECT_NAME}_utest
    test/utest.cpp
    APPEND_ENV AMENT_PREFIX_PATH=${mock_install_path}
  )
  if(TARGET ${PROJECT_NAME}_utest)
    # Used, but not linked to test ${PROJECT_NAME}'s exports:
    #   rcutils::rcutils
    target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
    add_dependencies(${PROJECT_NAME}_utest "${mock_install_target}")
    target_include_directories(${PROJECT_NAME}_utest PRIVATE
      "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
  endif()

endif()

ament_package(
  CONFIG_EXTRAS "pluginlib-extras.cmake"
)

=== debian/changelog ===
ros-pluginlib (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Add myself to uploaders
  * Add ament-lint as new dependency
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:44:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: ros-pluginlib
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-ros,
  ament-cmake,
  ament-cmake-googletest <!nocheck>,
- dh-ros,
+ ament-lint <!nocheck>,
  libament-index-cpp-dev,
  libboost-dev,
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/pluginlib
@@ -25,14 +28,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  ament-cmake,
  libament-index-cpp-dev,
  libboost-dev,
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: ROS library for plugins
  This package is part of Robot OS (ROS). This is the high-level ROS
  plugin interface. It provides tools for writing and dynamically

=== debian/rules ===
#!/usr/bin/make -f

export ROS_EXECUTE_AFTER_CONFIGURE=sed -i -e '1icmake_policy(SET CMP0057 NEW)' -e '$$aset(pluginlib_FOUND_CATKIN_PROJECT TRUE)\nset(pluginlib_INCLUDE_DIRS "/usr/include/pluginlib;/usr/include/class_loader;/usr/include/ament_index_cpp/;/usr/include/rcpputils;/usr/include/rcutils")\nset(pluginlib_LIBRARIES "-ltinyxml2;-lroslib;-lclass_loader;-lament_index_cpp;-lconsole_bridge;-lrcpputils;-lrcutils")' obj-$(DEB_HOST_GNU_TYPE)/pluginlib/ament_cmake_core/pluginlibConfig.cmake

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ros/pluginlib/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros-pluginlib 5.8.0

=== pluginlib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.20)
 project(pluginlib)
 
 # Default to C++17
@@ -16,8 +16,7 @@
 find_package(class_loader REQUIRED)
 find_package(rcutils REQUIRED)
 find_package(rcpputils REQUIRED)
-find_package(tinyxml2_vendor REQUIRED)
-find_package(TinyXML2 REQUIRED)  # provided by tinyxml2 upstream, or tinyxml2_vendor
+find_package(TinyXML2 REQUIRED)
 
 add_library(${PROJECT_NAME} INTERFACE)
 target_include_directories(${PROJECT_NAME} INTERFACE
@@ -30,7 +29,19 @@
   rcpputils::rcpputils
   tinyxml2::tinyxml2)
 
-ament_export_dependencies(ament_index_cpp class_loader rcutils rcpputils tinyxml2_vendor TinyXML2)
+add_executable(list_plugins src/list_plugins.cpp)
+target_include_directories(list_plugins PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+  $<INSTALL_INTERFACE:include>
+)
+target_link_libraries(list_plugins
+  ${PROJECT_NAME}
+)
+install(TARGETS list_plugins
+        DESTINATION lib/${PROJECT_NAME}
+)
+
+ament_export_dependencies(ament_index_cpp class_loader rcutils rcpputils TinyXML2)
 
 ament_export_targets(export_${PROJECT_NAME})
 
@@ -46,12 +57,15 @@
 install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})
 
 if(BUILD_TESTING)
+  find_package(ament_lint_auto REQUIRED)
+  ament_lint_auto_find_test_dependencies()
+
   find_package(ament_cmake_gtest REQUIRED)
-
-  include_directories(include test/include)
 
   add_library(test_plugins SHARED ./test/test_plugins.cpp)
   target_compile_definitions(test_plugins PRIVATE "TEST_PLUGINLIB_FIXTURE_BUILDING_LIBRARY")
+  target_include_directories(test_plugins PRIVATE
+    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
   target_link_libraries(test_plugins ${PROJECT_NAME})
 
   include("cmake/pluginlib_enable_plugin_testing.cmake")
@@ -72,6 +86,8 @@
   )
   if(TARGET ${PROJECT_NAME}_unique_ptr_test)
     target_link_libraries(${PROJECT_NAME}_unique_ptr_test ${PROJECT_NAME})
+    target_include_directories(${PROJECT_NAME}_unique_ptr_test PRIVATE
+      "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
     add_dependencies(${PROJECT_NAME}_unique_ptr_test "${mock_install_target}")
   endif()
 
@@ -84,6 +100,8 @@
     #   rcutils::rcutils
     target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
     add_dependencies(${PROJECT_NAME}_utest "${mock_install_target}")
+    target_include_directories(${PROJECT_NAME}_utest PRIVATE
+      "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/test/include>")
   endif()
 
 endif()

=== debian/changelog ===
ros-pluginlib (5.8.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 5.8.0
  * Update patches
    - Obsolete: 0001-Drop-tinyxml2_vendor.patch
  * Do not build ros2plugin for now
  * Update d/copyright after file reorganisation
  * Introduce pluginlib-tools package for helper CLIs

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Oct 2025 10:11:50 +0200

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,19 @@
 Homepage: https://wiki.ros.org/pluginlib
 Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib
+Description: ROS library for plugins
+ This package is part of Robot OS (ROS). This is the high-level ROS
+ plugin interface. It provides tools for writing and dynamically
+ loading plugins using the ROS build infrastructure. To work, these
+ tools require plugin providers to register their plugins in their
+ package.xml file.
 
 Package: pluginlib-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Recommends:
+ pluginlib-tools,
 Depends:
  ament-cmake,
  libament-index-cpp-dev,
@@ -36,9 +44,20 @@
  libtinyxml2-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Description: ROS library for plugins
- This package is part of Robot OS (ROS). This is the high-level ROS
- plugin interface. It provides tools for writing and dynamically
- loading plugins using the ROS build infrastructure. To work, these
- tools require plugin providers to register their plugins in their
- package.xml file.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package installs the header only library.
+
+Package: pluginlib-tools
+Section: devel
+Architecture: any
+Multi-Arch: no
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package installs pluginlib related tooling. Currently, this is
+ the list_plugins CLI.

=== debian/rules ===
#!/usr/bin/make -f

# Ignore this for now unitl ros2cli has been debianized
export ROS_SKIP_PACKAGES = ros2plugin

export ROS_EXECUTE_AFTER_CONFIGURE=sed -i -e '1icmake_policy(SET CMP0057 NEW)' -e '$$aset(pluginlib_FOUND_CATKIN_PROJECT TRUE)\nset(pluginlib_INCLUDE_DIRS "/usr/include/pluginlib;/usr/include/class_loader;/usr/include/ament_index_cpp/;/usr/include/rcpputils;/usr/include/rcutils")\nset(pluginlib_LIBRARIES "-ltinyxml2;-lroslib;-lclass_loader;-lament_index_cpp;-lconsole_bridge;-lrcpputils;-lrcutils")' obj-$(DEB_HOST_GNU_TYPE)/pluginlib/ament_cmake_core/pluginlibConfig.cmake

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: pluginlib
